PDA

View Full Version : SLES 12 The following package update will NOT be installed: gnome-



mikenash
30-Jan-2017, 21:48
I have a SLES12 system that i updated but ran zypper update to be sure.
I received the following message.

linux140:~ # zypper update
Loading repository data...
Reading installed packages...

The following package update will NOT be installed:
gnome-control-center

Nothing to do.

I checked to see what was installed on the system.

linux140:~ # rpm -qa | grep gnome-control
gnome-control-center-lang-3.10.3-26.1.noarch
gnome-control-center-3.10.3-13.1.s390x

I checked to see what was on the SLES12 repository.

on s390x directory
root@linux163:/pub/data/suse/SLES12DVD1/suse/s390x $~>ls -l gnome-control*
-r--r--r-- 3 root root 3207732 Sep 24 2014 gnome-control-center-3.10.3-13.1.s390x.rpm

On noarch directory
root@linux163:/pub/data/suse/SLES12DVD1/suse/noarch $~>ls -l gnome-control*
-r--r--r-- 3 root root 1523022 Sep 24 2014 gnome-control-center-lang-3.10.3-13.1.noarch.rpm

I also checked to see what was on the SLES12 update repository.

On Suse Update

On s390x directory
gnome-control-center-3.10.3-13.1_14.7.1.s390x.drpm 2016-Jan-13 05:15 427.9k
gnome-control-center-3.10.3-14.7.1.s390x.rpm 2016-Jan-13 05:04 3.1M

On noarch directory
gnome-control-center-lang-3.10.3-14.7.1.noarch.rpm 2016-Jan-13 05:04 1.5M

Why would this not update?
I did notice that the following rpm is not on the SLES12 or SLES12 update repositories.

gnome-control-center-lang-3.10.3-26.1.noarch
Does it matter?

malcolmlewis
30-Jan-2017, 23:43
On Mon 30 Jan 2017 08:54:02 PM CST, mikenash wrote:

I have a SLES12 system that i updated but ran zypper update to be sure.
I received the following message.

Code:
--------------------
linux140:~ # zypper update
Loading repository data...
Reading installed packages...

The following package update will NOT be installed:
gnome-control-center

Nothing to do.
--------------------


I checked to see what was installed on the system.

Code:
--------------------
linux140:~ # rpm -qa | grep gnome-control
gnome-control-center-lang-3.10.3-26.1.noarch
gnome-control-center-3.10.3-13.1.s390x
--------------------


I checked to see what was on the SLES12 repository.

Code:
--------------------
on s390x directory
root@linux163:/pub/data/suse/SLES12DVD1/suse/s390x $~>ls -l
gnome-control* -r--r--r-- 3 root root 3207732 Sep 24 2014
gnome-control-center-3.10.3-13.1.s390x.rpm
On noarch directory
root@linux163:/pub/data/suse/SLES12DVD1/suse/noarch $~>ls -l
gnome-control* -r--r--r-- 3 root root 1523022 Sep 24 2014
gnome-control-center-lang-3.10.3-13.1.noarch.rpm --------------------


I also checked to see what was on the SLES12 update repository.

Code:
--------------------
On Suse Update

On s390x directory
gnome-control-center-3.10.3-13.1_14.7.1.s390x.drpm 2016-Jan-13
05:15 427.9k gnome-control-center-3.10.3-14.7.1.s390x.rpm
2016-Jan-13 05:04 3.1M
On noarch directory
gnome-control-center-lang-3.10.3-14.7.1.noarch.rpm 2016-Jan-13
05:04 1.5M --------------------


Why would this not update?
I did notice that the following rpm is not on the SLES12 or SLES12
update repositories.

Code:
--------------------
gnome-control-center-lang-3.10.3-26.1.noarch
--------------------

Does it matter?




Hi
Seems strange, should both be up to 3.10.3-26.1.

Try a verify;


zypper ve


Might also try to force a refresh of the cache... and try with some
verbosity (more v's more info)


zypper ref -f
zypper -vv lu
zypper -vv up


--
Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE Leap 42.1|GNOME 3.16.2|4.1.36-44-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

mikenash
31-Jan-2017, 15:01
linux140:~ # zypper ve
Loading repository data...
Reading installed packages...

Dependencies of all installed packages are satisfied.

linux140:~ # zypper ref -f
Forcing raw metadata refresh
Retrieving repository 'SLES!@-Update' metadata .................................................. .............................[done]
Forcing building of repository cache
Building repository 'SLES!@-Update' cache .................................................. ..................................[done]
All repositories have been refreshed.
linux140:~ # zypper -vv lu
Verbosity: 2
Initializing Target
Checking whether to refresh metadata for SLES!@-Update
Loading repository data...
Reading installed packages...
Force resolution: No
No updates found.
linux140:~ # zypper -vv up
Verbosity: 2
Initializing Target
Checking whether to refresh metadata for SLES!@-Update
Loading repository data...
Reading installed packages...
Force resolution: No

The following package update will NOT be installed:
gnome-control-center 3.10.3-14.7.1 s390x SLES!@-Update SUSE LLC <https://www.suse.com/>

Actually there is a little history behind this that would explain this. This is a client's system that I cloned. The client stated that they tried to update to SLES12 SP1 but the system failed to IPL. I IPl the system on the previous kernel. I then copied this system to work on. I built a SLES12 SP2 system for the client on a larger dasd. I wanted to practice working with btrfs filesystems. I deleted the kernel that fail on the IPL. I forgot about this when I posted. In any case, I do find this rpm in the SLES12 SP1-Update repository. Is this any way to obtain any specific information for the failure? I would like to know before I attempt to update to SLES12 SP1. Also for the time that I so attempt to update I plan to update to SLES12 SP1 and then update SLES12 SP1.

malcolmlewis
31-Jan-2017, 15:18
linux140:~ # zypper ve
Loading repository data...
Reading installed packages...

Dependencies of all installed packages are satisfied.

linux140:~ # zypper ref -f
Forcing raw metadata refresh
Retrieving repository 'SLES!@-Update' metadata .................................................. .............................[done]
Forcing building of repository cache
Building repository 'SLES!@-Update' cache .................................................. ..................................[done]
All repositories have been refreshed.
linux140:~ # zypper -vv lu
Verbosity: 2
Initializing Target
Checking whether to refresh metadata for SLES!@-Update
Loading repository data...
Reading installed packages...
Force resolution: No
No updates found.
linux140:~ # zypper -vv up
Verbosity: 2
Initializing Target
Checking whether to refresh metadata for SLES!@-Update
Loading repository data...
Reading installed packages...
Force resolution: No

The following package update will NOT be installed:
gnome-control-center 3.10.3-14.7.1 s390x SLES!@-Update SUSE LLC <https://www.suse.com/>

Actually there is a little history behind this that would explain this. This is a client's system that I cloned. The client stated that they tried to update to SLES12 SP1 but the system failed to IPL. I IPl the system on the previous kernel. I then copied this system to work on. I built a SLES12 SP2 system for the client on a larger dasd. I wanted to practice working with btrfs filesystems. I deleted the kernel that fail on the IPL. I forgot about this when I posted. In any case, I do find this rpm in the SLES12 SP1-Update repository. Is this any way to obtain any specific information for the failure? I would like to know before I attempt to update to SLES12 SP1. Also for the time that I so attempt to update I plan to update to SLES12 SP1 and then update SLES12 SP1.
Hi
You would need to look back through /var/log/zypp/history, or /var/log/zypper.log* for the dates of failure.

Hmmm, wonder if it's a patch or two, try;


zypper lu -t patch


What if you force the update...


zypper up --force-resolution gnome-control-center

mikenash
02-Feb-2017, 15:32
Thank you Malcolm. I was able to resolve this problem.

linux140:~ # zypper lu -t patch
Loading repository data...
Reading installed packages...

Repository | Name | Category | Severity | Status | Summary
--------------+----------------------------+-------------+----------+--------+--------------------------------------------
SLES!@-Update | SUSE-SLE-SERVER-12-2016-69 | recommended | low | needed | Recommended update for gnome-control-center
linux140:~ # zypper up --force-resolution gnome-control-center
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: nothing provides libgnomekbd needed by gnome-control-center-3.10.3-14.7.1.s390x
Solution 1: do not install gnome-control-center-3.10.3-14.7.1.s390x
Solution 2: break gnome-control-center-3.10.3-14.7.1.s390x by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/c] (c): c
Added SLES12 base CD1 repository.

inux140:~ # zypper up --force-resolution gnome-control-center
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following 3 NEW packages are going to be installed:
libgnomekbd libgnomekbd-lang typelib-1_0-Xkl-1_0

The following package is going to be upgraded:
gnome-control-center

The following 3 packages are not supported by their vendor:
libgnomekbd libgnomekbd-lang typelib-1_0-Xkl-1_0

1 package to upgrade, 3 new.
Overall download size: 3.3 MiB. Already cached: 0 B After the operation, additional 759.5 KiB will be used.
Continue? [y/n/? shows all options] (y): y
Retrieving package typelib-1_0-Xkl-1_0-5.3-5.174.s390x (1/4), 9.8 KiB ( 12.5 KiB unpacked)
Retrieving package libgnomekbd-3.6.0-5.114.s390x (2/4), 71.6 KiB (219.1 KiB unpacked)
Retrieving package libgnomekbd-lang-3.6.0-5.114.noarch (3/4), 78.1 KiB (383.7 KiB unpacked)
Retrieving package gnome-control-center-3.10.3-14.7.1.s390x (4/4), 3.1 MiB ( 12.1 MiB unpacked)
Retrieving delta: ./s390x/gnome-control-center-3.10.3-13.1_14.7.1.s390x.drpm, 427.9 KiB
Retrieving: gnome-control-center-3.10.3-13.1_14.7.1.s390x.drpm .................................................. .............[done]
Applying delta: ./gnome-control-center-3.10.3-13.1_14.7.1.s390x.drpm .................................................. .......[done]
Checking for file conflicts: .................................................. ...............................................[done]
(1/4) Installing: typelib-1_0-Xkl-1_0-5.3-5.174 .................................................. ............................[done]
(2/4) Installing: libgnomekbd-3.6.0-5.114 .................................................. ..................................[done]
(3/4) Installing: libgnomekbd-lang-3.6.0-5.114 .................................................. .............................[done]
(4/4) Installing: gnome-control-center-3.10.3-14.7.1 .................................................. .......................[done]